use utoipa::OpenApi;

use crate::api::bot::info;
use crate::db::{concour, server_config, user_image};

#[derive(OpenApi)]
#[openapi(
    info(
        title = "BotDiscordApi",
        version = "0.1.0",
        description = "Api for discord bot",
    ),
    tags(
        (name= "Auth", description = "Authentication"),
        (name= "User", description = "User operations"),
        (name= "Bot", description = "Bot operations")
    ),
    components(
        schemas(
            info::Info,
            info::InfoGuild,
            server_config::ServerConfig,
            user_image::User,
            concour::Concour,
            concour::ConcourStatus,
        )
    ),
    paths(
        info::get_info,
    )
)]
pub struct ApiDocs;
